## org.apache.commons.math3.optimization
Interface DifferentiableMultivariateOptimizer

All Superinterfaces:
  BaseMultivariateOptimizer<DifferentiableMultivariateFunction>, BaseOptimizer<PointValuePair>

All Known Implementing Classes:
  AbstractScalarDifferentiableOptimizer, DifferentiableMultivariateMultiStartOptimizer, NonLinearConjugateGradientOptimizer

    public interface DifferentiableMultivariateOptimizer

extends BaseMultivariateOptimizer<DifferentiableMultivariateFunction>

This interface represents an optimization algorithm for `scalar differentiable objective functions`. Optimization algorithms find the input point set that either `maximize or minimize` an objective function.

Since:
  2.0
Version:
  $Id: DifferentiableMultivariateOptimizer.java 1244107 2012-02-14 16:17:55Z erans $
See Also:
  `MultivariateOptimizer`, `DifferentiableMultivariateVectorOptimizer`

Method Summary

Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer
`optimize`

Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer
`getConvergenceChecker, getEvaluations, getMaxEvaluations`

Copyright (c) 2003-2013 Apache Software Foundation